This discussion is archived
2 Replies Latest reply: Mar 19, 2010 2:45 AM by 807567 RSS

CACAO does not work with JDK1.6.0_18

807567 Newbie
Currently Being Moderated
The common-agent-container will not run with the latest JDK. When I try to run cacao with JDK1.6.0_18 I get the following error in the SMF logs:

[ Mar 18 11:23:53 Enabled. ]
[ Mar 18 11:23:53 Executing start method ("/usr/lib/cacao/lib/tools/scripts/cacao_smf start default") ]
Error: Fail to start cacao agent. default

Which is completely unhelpful, but as I was playing around I changed the java.home variable in the /etc/cacao/instances/default/private/cacao.properties file to JDK1.6.0_14 and cacao now works.

I have verified that cacao breaks on multiple machines when pointed to the JDK1.6.0_18